import type { Mat4Term, Vec3Term } from "@thi.ng/shader-ast";
/**
 * Inline function. Multiplies `pos` with given model, view & projection
 * matrices (in order). `p` is extended to a vec4.
 *
 * @param p -
 * @param model -
 * @param view -
 * @param proj -
 */
export declare const transformMVP: (p: Vec3Term, model: Mat4Term, view: Mat4Term, proj: Mat4Term) => import("@thi.ng/shader-ast").Op2<"vec4">;
//# sourceMappingURL=mvp.d.ts.map